/*
 * This file is part of family-shop-mgr.
 *
 * family-shop-mgr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * family-shop-mgr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with family-shop-mgr.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Unai IRIGOYEN
 * Date: 12/17/2009
 *
 */

#include "ListManagerView.h"

#include "ShoppingTreeModel.h"

/*******************************************************************/
ListManagerView::ListManagerView(QString xmlFileName, QWidget *parent)
    :QTreeView(parent)
{
    ShoppingTreeModel *model = new ShoppingTreeModel(xmlFileName, this);
    this->setModel(model);
    this->setAnimated(true);
    this->setAutoExpandDelay(1);
    this->setAutoScroll(true);
    this->setExpandsOnDoubleClick(true);
    this->setSortingEnabled(true);
    for(int column = 0; column < model->columnCount(); column++)
        this->resizeColumnToContents(column);
}

/*******************************************************************/
ListManagerView::~ListManagerView()
{
}

/*******************************************************************/
void ListManagerView::updateActions()
{
    /*
    bool hasSelection = !this->selectionModel()->selection().isEmpty();
    removeRowAction->setEnabled(hasSelection);
    removeColumnAction->setEnabled(hasSelection);

    bool hasCurrent = this->selectionModel()->currentIndex().isValid();
    insertRowAction->setEnabled(hasCurrent);
    insertColumnAction->setEnabled(hasCurrent);

    if (hasCurrent)
    {
        this->closePersistentEditor(view->selectionModel()->currentIndex());

        int row = this->selectionModel()->currentIndex().row();
        int column = this->selectionModel()->currentIndex().column();
        if (this->selectionModel()->currentIndex().parent().isValid())
            statusBar()->showMessage(tr("Position: (%1,%2)").arg(row).arg(column));
        else
            statusBar()->showMessage(tr("Position: (%1,%2) in top level").arg(row).arg(column));
    }
    */
}
