/*
 * This file is part of family-shop-mgr.
 *
 * family-shop-mgr is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * family-shop-mgr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with family-shop-mgr.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Unai IRIGOYEN
 * Date: 12/07/2009
 *
 */

#ifndef SHOPPINGTREEITEM_H
#define SHOPPINGTREEITEM_H

#include <QDomNode>
#include <QHash>

class ShoppingTreeItem
{
public:
    ShoppingTreeItem(QDomNode &node, int row, ShoppingTreeItem *parent = 0);
    ~ShoppingTreeItem();
    ShoppingTreeItem *child(int i);
    ShoppingTreeItem *parent();
    QDomNode node() const;
    int row();

private:
    QDomNode domNode;
    QHash<int,ShoppingTreeItem*> childItems;
    ShoppingTreeItem *parentItem;
    int rowNumber;
};

#endif // SHOPPINGTREEITEM_H
